Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.impl
Class SimpleParticipant

    java.lang.Object
      org.apache.muse.ws.dm.muws.impl.SimpleParticipant

All Implemented Interfaces:
  Participant, XmlSerializable

public class SimpleParticipant
extends java.lang.Object
implements Participant

SimpleParticipant represents resources that are participating in a relationship through the Relationships capability. It has the information needed to locate the participants in a relationship and determine their roles.

Author:
  Dan Jemiolo (danj)

Field Summary
`java.lang.String` | `_role`

Constructor Summary
`SimpleParticipant(org.w3c.dom.Element xml)`
`SimpleParticipant(EndpointReference resourceEPR, java.lang.String resourceID, java.lang.String role)`
`SimpleParticipant(WsResourceClient remote, java.lang.String role)`
`SimpleParticipant(WsResource resource, java.lang.String role)`

Method Summary
`EndpointReference` | `getManageabilityReference()`
`java.lang.String` | `getResourceId()`
`java.lang.String` | `getRole()`
`org.w3c.dom.Element` | `toXML()` Converts this object into an XML representation, as defined by its related schema or specification.
`org.w3c.dom.Element` | `toXML(org.w3c.dom.Document doc)` Converts this object into an XML representation, as defined by its related schema or specification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _role

    public java.lang.String _role

Constructor Detail

### SimpleParticipant

    public SimpleParticipant(org.w3c.dom.Element xml)
                      throws BaseFault

Parameters:
  `xml` - The DOM Element representing the relationship participant.
Throws:
  `BaseFault` -
  - If the participant XML is not formatted properly.

### SimpleParticipant

    public SimpleParticipant(EndpointReference resourceEPR,
                             java.lang.String resourceID,
                             java.lang.String role)

Parameters:
  `resourceEPR` - The participant's EPR.
  `resourceID` - The participant's MUWS ResourceId.
  `role` - The URI that identifies the participant's role in the relationship.

### SimpleParticipant

    public SimpleParticipant(WsResource resource,
                             java.lang.String role)
                      throws BaseFault

Parameters:
  `resource` - The participant resource. This will be used to gather its EPR and MUWS ResourceId.
  `role` - The URI that identifies the participant's role in the relationship.
Throws:
  `BaseFault` -
  - If the participant resource is unavailable.

### SimpleParticipant

    public SimpleParticipant(WsResourceClient remote,
                             java.lang.String role)
                      throws BaseFault

Parameters:
  `remote` - A proxy that points to the participant resource. This will be used to gather its EPR and MUWS ResourceId.
  `role` - The URI that identifies the participant's role in the relationship.
Throws:
  `BaseFault` -
  - If the participant resource is unavailable.

Method Detail

### getManageabilityReference

    public EndpointReference getManageabilityReference()

  Specified by:
    `getManageabilityReference` in interface `Participant`
  Returns:
    The participant's EPR.

### getResourceId

    public java.lang.String getResourceId()

  Specified by:
    `getResourceId` in interface `Participant`
  Returns:
    The participant's MUWS ResourceId.
  See Also:
    `Identity.getResourceId()`

### getRole

    public java.lang.String getRole()

  Specified by:
    `getRole` in interface `Participant`
  Returns:
    The URI identifying the role of the participant in its relationship.

### toXML

    public org.w3c.dom.Element toXML()

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Returns:
    An XML representation of this object.

### toXML

    public org.w3c.dom.Element toXML(org.w3c.dom.Document doc)

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Parameters:
    `doc` - The DOM Document that will be used to create all of the nodes in the resulting XML fragment.
  Returns:
    An XML representation of this object.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD